## org.Biocorba.Seqcore
Interface Seq

All Known Implementing Classes:
  _SeqImplBase, _SeqStub

public interface Seq
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, PrimarySeq

Method Summary
`SeqFeatureIterator` `all_features_iterator()`
`SeqFeature[]` `all_features()`
`SeqFeatureIterator` `features_region_iterator(int start, int end)`
`SeqFeature[]` `features_region(int start, int end)`
`PrimarySeq` `get_PrimarySeq()`
`int` `max_feature_request()`

Methods inherited from interface org.Biocorba.Seqcore.PrimarySeq
`accession_number, display_id, primary_id, version`

Methods inherited from interface org.Biocorba.Seqcore.AnonymousSeq
`get_seq, get_subseq, length, max_request_length, type`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### all_features

    public SeqFeature[] all_features()
                              throws RequestTooLarge

### all_features_iterator

    public SeqFeatureIterator all_features_iterator()

### features_region

    public SeqFeature[] features_region(int start,
                                        int end)
                                 throws OutOfRange,
                                        UnableToProcess,
                                        RequestTooLarge

### features_region_iterator

    public SeqFeatureIterator features_region_iterator(int start,
                                                       int end)
                                                throws OutOfRange,
                                                       UnableToProcess

### max_feature_request

    public int max_feature_request()

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq()